unit EstornoFormasPagamento;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Mask, Buttons;

type
  TFormEstornoFormasPagamento = class(TForm)
    Label1: TLabel;
    ComboBox1: TComboBox;
    Label2: TLabel;
    ComboBox2: TComboBox;
    Label5: TLabel;
    MaskEdit1: TMaskEdit;
    BitBtn1: TBitBtn;
    procedure FormShow(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FormEstornoFormasPagamento: TFormEstornoFormasPagamento;

implementation

uses funcoesapoio, principal;
{$R *.dfm}

procedure TFormEstornoFormasPagamento.FormShow(Sender: TObject);
var i:integer;
begin
        CapturaDadosProgamadosECF(2); // Captura Meios de Pagamento
        for i:=1 to 20 do begin
                if not (MeiosPagamento[i].Legenda='') then begin
                        Combobox1.Items.ADD(MeiosPagamento[i].Legenda);
                        Combobox2.Items.ADD(MeiosPagamento[i].Legenda);
                end;
        end;
        try
                ComboBox1.Text:=MeiosPagamento[1].Legenda;
                ComboBox2.Text:=MeiosPagamento[2].Legenda;
        except;
        end;

end;

procedure TFormEstornoFormasPagamento.BitBtn1Click(Sender: TObject);
var valor:string;
begin
        valor:=Maskedit1.Text; virgula:=pos(',',valor);
        Delete(valor, virgula, 1);
        FormPrincipal.ValorInicioDia:=valor;
        FormPrincipal.PagtoOrigem:=ComboBox1.Text;
        FormPrincipal.PagtoDestino:=ComboBox2.Text;
end;

end.
